/**
 * 
 */
package adaptools.utils;

/**
 * Define data struct to Adaptool (javaBean)
 * 
 * @author Denys G. Santos 
 * <code>(gsdenys@gmail.com)</code>
 */
public class AdpDataStruct {

	private String head;
	private String orig;
	private String inpu;
	private String dest;
	private String push;
	private String outp;
	private String adap;
	
	/**
	 * @return Returns the adap.
	 */
	public String getAdap() {
		return adap;
	}
	
	/**
	 * @return Returns the dest.
	 */
	public String getDest() {
		return dest;
	}
	
	/**
	 * @return Returns the head.
	 */
	public String getHead() {
		return head;
	}
	
	/**
	 * @return Returns the inpu.
	 */
	public String getInpu() {
		return inpu;
	}
	
	/**
	 * @return Returns the orig.
	 */
	public String getOrig() {
		return orig;
	}
	
	/**
	 * @return Returns the outp.
	 */
	public String getOutp() {
		return outp;
	}
	
	/**
	 * @return Returns the push.
	 */
	public String getPush() {
		return push;
	}
	
	/**
	 * @param adap The adap to set.
	 */
	public void setAdap(String adap) {
		this.adap = adap;
	}
	
	/**
	 * @param dest The dest to set.
	 */
	public void setDest(String dest) {
		this.dest = dest;
	}
	
	/**
	 * @param head The head to set.
	 */
	public void setHead(String head) {
		this.head = head;
	}
	
	/**
	 * @param inpu The inpu to set.
	 */
	public void setInpu(String inpu) {
		this.inpu = inpu;
	}
	
	/**
	 * @param orig The orig to set.
	 */
	public void setOrig(String orig) {
		this.orig = orig;
	}
	
	/**
	 * @param outp The outp to set.
	 */
	public void setOutp(String outp) {
		this.outp = outp;
	}
	
	/**
	 * @param push The push to set.
	 */
	public void setPush(String push) {
		this.push = push;
	}
}
