package adaptools.visual;

import java.awt.Graphics2D;

import salvo.jesus.graph.visual.VisualGraphComponent;
import salvo.jesus.graph.visual.VisualVertex;
import salvo.jesus.graph.visual.drawing.VisualVertexPainter;

/**
 * An implementation of <tt>VisualVertexPainter</tt> that draw nothing
 *
 * @author Hemerson Pistori 
 */

public class VisualHiddenVertexPainter implements VisualVertexPainter {
  /**
	 * 
	 */
	private static final long serialVersionUID = -6811710037091562719L;
	
public VisualHiddenVertexPainter() {}
  public void paint( VisualGraphComponent vg, Graphics2D g2d ) {}
  public void paintOutline( VisualGraphComponent component, Graphics2D g2d){}
  public void paintFill( VisualGraphComponent component, Graphics2D g2d ){}
  public void paintText( VisualGraphComponent component, Graphics2D g2d ){}
  public void rescale( VisualVertex vv) {}
}
