package adaptools.tools.adapmap;

import java.awt.BorderLayout;

import javax.swing.JDesktopPane;
import javax.swing.JInternalFrame;

import adapmap.gui.frame.AdapMapPanel;
import adaptools.vm.Viewer;

public class AdapMapGui extends JInternalFrame{

	/**
	 * 
	 */
	private static final long serialVersionUID = 3661993948239991665L;
	
	public AdapMapGui(String titulo, boolean resize, boolean close, boolean mazimize, boolean icon, Viewer viewer){
		
		super(titulo, resize, close, mazimize, icon);
		
		AdapMapPanel panel = new AdapMapPanel();
		
		//Seta as alteracoes nas acoes dos botoes
		panel.getToolsBar().setVectorofButtons(new ButtonVectorGeneratorGui(panel.getEditor(), panel.getResposta(), viewer));
		
		panel.init();
		
		this.add(panel.getMainPanel(),BorderLayout.CENTER);		
	}
	
}